Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Trying to update world....
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
psyon
n00b
n00b


Joined: 16 Sep 2002
Posts: 4

PostPosted: Mon Sep 16, 2002 7:34 pm    Post subject: Trying to update world.... Reply with quote

When i run 'emerge -ud world' or if i leave off the -d even, I get the following:

Code:

Calculating world dependencies \
!!! Error: couldn't find match for || in sys-apps/baselayout-1.8.3




Anyone know why?

OH! and I have just run emerge rsync
Back to top
View user's profile Send private message
rac
Bodhisattva
Bodhisattva


Joined: 30 May 2002
Posts: 6553
Location: Japanifornia

PostPosted: Mon Sep 16, 2002 7:49 pm    Post subject: Reply with quote

Please try upgrading portage with "emerge portage". This sometimes happens when the syntax of ebuilds in the portage tree is too advanced for older versions of Portage to understand.
_________________
For every higher wall, there is a taller ladder
Back to top
View user's profile Send private message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 16117
Location: Colorado

PostPosted: Mon Sep 16, 2002 7:55 pm    Post subject: Reply with quote

Would be nice if ebuilds contained a 'required portage' version flag, then errored more descriptively, as in 'Portage v. x.y.z required to emerge some-useful-app.'
_________________
lolgov. 'cause where we're going, you don't have civil liberties.

In Loving Memory
1787 - 2008
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum